.navbar {
  &__title,
  &__drawer-btn {
    width: calc(100% + #{$page-padding-small} * 2);
    margin: 0 - $page-padding-small;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
    font-family: $font-montserrat;
  }

  &__title {
    background-color: $color-white;
    font-size: rem(13);
    line-height: rem(16);
    border-top: 1px solid $color-green;
  }

  &__drawer-btn {
    font-size: rem(16);
    line-height: rem(16);
    color: $color-white;
    @include backgroundColorHover($color-green-medium);

    .icon {
      flex-shrink: 0;
      margin-left: 24px;
      width: 10px;
    }
  }

  &__nav {
    padding: 16px 0;
  }

  &__navlink {
    display: flex;
    font-weight: 700;
    font-family: $font-montserrat;
    font-size: rem(16);
    line-height: rem(16);
    width: 100%;
    padding: 12px 20px;
    border-radius: $common-border-radius;
    @include colorHover($color-white);

    &.router-link-active {
      color: $color-white;
      background-color: $color-green-medium;
      pointer-events: none;
    }
  }
}

//Breakpoints ==================================
@include breakpoint(md-up) {
  .navbar {
    position: sticky;
    top: calc($header-height-scroll + 24px);

    &__content {
      overflow: auto;
      max-height: calc(100vh - ($header-height-scroll + 24px));
    }

    &__nav {
      padding: 0;
    }
  }
}